﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace PushPlatform.Data.Criteria
{
    public partial class CriteriaProjectInfo
    {
        
        public CriteriaProjectInfo()
        {
            TableName="ProjectInfo";
            OrderList = new List<string>();
            PageIndex = 1;
            PageSize = 20;
            UsePage = true;
            UserWhere = false;
        }
        
        #region Criteria Property
        public string TableName { get; set; }
        
        public IList<string> OrderList { get; set; }
        
        public int PageIndex { get; set; }
        
        public int PageSize { get; set; }
        
        public int PageTotal { get; set; }
        
        public bool UsePage { get; set; }
        
        public bool UseOr { get; set; }
        
        public bool UserWhere { get; set; }
        
        public string Where { get; set; }
        
        public bool IsAsc { get; set; }
        
        public object WhereValue { get; set; }
        
        #endregion
    
        #region Criteria Field
        
        
        public const string CriteriaField = "Id";
        
        
        
        public const string FieldId = "Id";
        public const string MapId = "Id";
        public const string FieldProjectname = "Projectname";
        public const string MapProjectname = "ProjectName";
        public const string FieldProjecttype = "Projecttype";
        public const string MapProjecttype = "ProjectType";
        public const string FieldInternalprincipal = "Internalprincipal";
        public const string MapInternalprincipal = "InternalPrincipal";
        public const string FieldInternalprincipalmobile = "Internalprincipalmobile";
        public const string MapInternalprincipalmobile = "InternalPrincipalMobile";
        public const string FieldDbConnectid = "DbConnectid";
        public const string MapDbConnectid = "Db_ConnectId";
        public const string FieldObjectSql = "ObjectSql";
        public const string MapObjectSql = "Object_Sql";
        public const string FieldChildProjectinfo = "ChildProjectinfo";
        public const string MapChildProjectinfo = "Child_ProjectInfo";
        public const string FieldUserSql = "UserSql";
        public const string MapUserSql = "User_Sql";
        public const string FieldCreateUser = "CreateUser";
        public const string MapCreateUser = "Create_User";
        public const string FieldCreateTime = "CreateTime";
        public const string MapCreateTime = "Create_Time";
        public const string FieldUpdateUser = "UpdateUser";
        public const string MapUpdateUser = "Update_User";
        public const string FieldUpdateTime = "UpdateTime";
        public const string MapUpdateTime = "Update_Time";
        public const string FieldIsDeleted = "IsDeleted";
        public const string MapIsDeleted = "Is_Deleted";
        public const string FieldTimestamp = "Timestamp";
        public const string MapTimestamp = "Timestamp";
        
        
        
        #endregion
        
        #region Criteria Auto Property
        
        public System.String LikeAll { get; set; }
        
        public System.String LikeId { get; set; }
        List<System.String> _InId;
        public List<System.String> InId
        {
            get
            {
                if (_InId == null) { _InId = new List<System.String>(); }
                return _InId;
            }
        }
        List<System.String> _NotId;
        public List<System.String> NotId
        {
            get
            {
                if (_NotId == null) { _NotId = new List<System.String>(); }
                return _NotId;
            }
        }
        List<System.String> _OrEqId;
        public List<System.String> OrEqId
        {
            get
            {
                if (_OrEqId == null) { _OrEqId = new List<System.String>(); }
                return _OrEqId;
            }
        }
        List<System.String> _OrLikeId;
        public List<System.String> OrLikeId
        {
            get
            {
                if (_OrLikeId == null) { _OrLikeId = new List<System.String>(); }
                return _OrLikeId;
            }
        }
        public System.String EqId { get; set; }
        public System.String NeId { get; set; }
        public System.String EqIgId { get; set; }
        public System.String LeId { get; set; }
        public System.String GeId { get; set; }
        public System.String LtId { get; set; }
        public System.String GtId { get; set; }
        public bool  NullId { get; set; }
        public bool  NotNullId { get; set; }
        public System.String LikeProjectname { get; set; }
        List<System.String> _InProjectname;
        public List<System.String> InProjectname
        {
            get
            {
                if (_InProjectname == null) { _InProjectname = new List<System.String>(); }
                return _InProjectname;
            }
        }
        List<System.String> _NotProjectname;
        public List<System.String> NotProjectname
        {
            get
            {
                if (_NotProjectname == null) { _NotProjectname = new List<System.String>(); }
                return _NotProjectname;
            }
        }
        List<System.String> _OrEqProjectname;
        public List<System.String> OrEqProjectname
        {
            get
            {
                if (_OrEqProjectname == null) { _OrEqProjectname = new List<System.String>(); }
                return _OrEqProjectname;
            }
        }
        List<System.String> _OrLikeProjectname;
        public List<System.String> OrLikeProjectname
        {
            get
            {
                if (_OrLikeProjectname == null) { _OrLikeProjectname = new List<System.String>(); }
                return _OrLikeProjectname;
            }
        }
        public System.String EqProjectname { get; set; }
        public System.String NeProjectname { get; set; }
        public System.String EqIgProjectname { get; set; }
        public System.String LeProjectname { get; set; }
        public System.String GeProjectname { get; set; }
        public System.String LtProjectname { get; set; }
        public System.String GtProjectname { get; set; }
        public bool  NullProjectname { get; set; }
        public bool  NotNullProjectname { get; set; }
        List<System.Int32> _InProjecttype;
        public List<System.Int32> InProjecttype
        {
            get
            {
                if (_InProjecttype == null) { _InProjecttype = new List<System.Int32>(); }
                return _InProjecttype;
            }
        }
        List<System.Int32> _NotProjecttype;
        public List<System.Int32> NotProjecttype
        {
            get
            {
                if (_NotProjecttype == null) { _NotProjecttype = new List<System.Int32>(); }
                return _NotProjecttype;
            }
        }
        List<System.Int32> _OrEqProjecttype;
        public List<System.Int32> OrEqProjecttype
        {
            get
            {
                if (_OrEqProjecttype == null) { _OrEqProjecttype = new List<System.Int32>(); }
                return _OrEqProjecttype;
            }
        }
        public System.Int32? EqProjecttype { get; set; }
        public System.Int32? NeProjecttype { get; set; }
        public System.Int32? EqIgProjecttype { get; set; }
        public System.Int32? LeProjecttype { get; set; }
        public System.Int32? GeProjecttype { get; set; }
        public System.Int32? LtProjecttype { get; set; }
        public System.Int32? GtProjecttype { get; set; }
        public bool  NullProjecttype { get; set; }
        public bool  NotNullProjecttype { get; set; }
        public System.String LikeInternalprincipal { get; set; }
        List<System.String> _InInternalprincipal;
        public List<System.String> InInternalprincipal
        {
            get
            {
                if (_InInternalprincipal == null) { _InInternalprincipal = new List<System.String>(); }
                return _InInternalprincipal;
            }
        }
        List<System.String> _NotInternalprincipal;
        public List<System.String> NotInternalprincipal
        {
            get
            {
                if (_NotInternalprincipal == null) { _NotInternalprincipal = new List<System.String>(); }
                return _NotInternalprincipal;
            }
        }
        List<System.String> _OrEqInternalprincipal;
        public List<System.String> OrEqInternalprincipal
        {
            get
            {
                if (_OrEqInternalprincipal == null) { _OrEqInternalprincipal = new List<System.String>(); }
                return _OrEqInternalprincipal;
            }
        }
        List<System.String> _OrLikeInternalprincipal;
        public List<System.String> OrLikeInternalprincipal
        {
            get
            {
                if (_OrLikeInternalprincipal == null) { _OrLikeInternalprincipal = new List<System.String>(); }
                return _OrLikeInternalprincipal;
            }
        }
        public System.String EqInternalprincipal { get; set; }
        public System.String NeInternalprincipal { get; set; }
        public System.String EqIgInternalprincipal { get; set; }
        public System.String LeInternalprincipal { get; set; }
        public System.String GeInternalprincipal { get; set; }
        public System.String LtInternalprincipal { get; set; }
        public System.String GtInternalprincipal { get; set; }
        public bool  NullInternalprincipal { get; set; }
        public bool  NotNullInternalprincipal { get; set; }
        public System.String LikeInternalprincipalmobile { get; set; }
        List<System.String> _InInternalprincipalmobile;
        public List<System.String> InInternalprincipalmobile
        {
            get
            {
                if (_InInternalprincipalmobile == null) { _InInternalprincipalmobile = new List<System.String>(); }
                return _InInternalprincipalmobile;
            }
        }
        List<System.String> _NotInternalprincipalmobile;
        public List<System.String> NotInternalprincipalmobile
        {
            get
            {
                if (_NotInternalprincipalmobile == null) { _NotInternalprincipalmobile = new List<System.String>(); }
                return _NotInternalprincipalmobile;
            }
        }
        List<System.String> _OrEqInternalprincipalmobile;
        public List<System.String> OrEqInternalprincipalmobile
        {
            get
            {
                if (_OrEqInternalprincipalmobile == null) { _OrEqInternalprincipalmobile = new List<System.String>(); }
                return _OrEqInternalprincipalmobile;
            }
        }
        List<System.String> _OrLikeInternalprincipalmobile;
        public List<System.String> OrLikeInternalprincipalmobile
        {
            get
            {
                if (_OrLikeInternalprincipalmobile == null) { _OrLikeInternalprincipalmobile = new List<System.String>(); }
                return _OrLikeInternalprincipalmobile;
            }
        }
        public System.String EqInternalprincipalmobile { get; set; }
        public System.String NeInternalprincipalmobile { get; set; }
        public System.String EqIgInternalprincipalmobile { get; set; }
        public System.String LeInternalprincipalmobile { get; set; }
        public System.String GeInternalprincipalmobile { get; set; }
        public System.String LtInternalprincipalmobile { get; set; }
        public System.String GtInternalprincipalmobile { get; set; }
        public bool  NullInternalprincipalmobile { get; set; }
        public bool  NotNullInternalprincipalmobile { get; set; }
        public System.String LikeDbConnectid { get; set; }
        List<System.String> _InDbConnectid;
        public List<System.String> InDbConnectid
        {
            get
            {
                if (_InDbConnectid == null) { _InDbConnectid = new List<System.String>(); }
                return _InDbConnectid;
            }
        }
        List<System.String> _NotDbConnectid;
        public List<System.String> NotDbConnectid
        {
            get
            {
                if (_NotDbConnectid == null) { _NotDbConnectid = new List<System.String>(); }
                return _NotDbConnectid;
            }
        }
        List<System.String> _OrEqDbConnectid;
        public List<System.String> OrEqDbConnectid
        {
            get
            {
                if (_OrEqDbConnectid == null) { _OrEqDbConnectid = new List<System.String>(); }
                return _OrEqDbConnectid;
            }
        }
        List<System.String> _OrLikeDbConnectid;
        public List<System.String> OrLikeDbConnectid
        {
            get
            {
                if (_OrLikeDbConnectid == null) { _OrLikeDbConnectid = new List<System.String>(); }
                return _OrLikeDbConnectid;
            }
        }
        public System.String EqDbConnectid { get; set; }
        public System.String NeDbConnectid { get; set; }
        public System.String EqIgDbConnectid { get; set; }
        public System.String LeDbConnectid { get; set; }
        public System.String GeDbConnectid { get; set; }
        public System.String LtDbConnectid { get; set; }
        public System.String GtDbConnectid { get; set; }
        public bool  NullDbConnectid { get; set; }
        public bool  NotNullDbConnectid { get; set; }
        public System.String LikeObjectSql { get; set; }
        List<System.String> _InObjectSql;
        public List<System.String> InObjectSql
        {
            get
            {
                if (_InObjectSql == null) { _InObjectSql = new List<System.String>(); }
                return _InObjectSql;
            }
        }
        List<System.String> _NotObjectSql;
        public List<System.String> NotObjectSql
        {
            get
            {
                if (_NotObjectSql == null) { _NotObjectSql = new List<System.String>(); }
                return _NotObjectSql;
            }
        }
        List<System.String> _OrEqObjectSql;
        public List<System.String> OrEqObjectSql
        {
            get
            {
                if (_OrEqObjectSql == null) { _OrEqObjectSql = new List<System.String>(); }
                return _OrEqObjectSql;
            }
        }
        List<System.String> _OrLikeObjectSql;
        public List<System.String> OrLikeObjectSql
        {
            get
            {
                if (_OrLikeObjectSql == null) { _OrLikeObjectSql = new List<System.String>(); }
                return _OrLikeObjectSql;
            }
        }
        public System.String EqObjectSql { get; set; }
        public System.String NeObjectSql { get; set; }
        public System.String EqIgObjectSql { get; set; }
        public System.String LeObjectSql { get; set; }
        public System.String GeObjectSql { get; set; }
        public System.String LtObjectSql { get; set; }
        public System.String GtObjectSql { get; set; }
        public bool  NullObjectSql { get; set; }
        public bool  NotNullObjectSql { get; set; }
        public System.String LikeChildProjectinfo { get; set; }
        List<System.String> _InChildProjectinfo;
        public List<System.String> InChildProjectinfo
        {
            get
            {
                if (_InChildProjectinfo == null) { _InChildProjectinfo = new List<System.String>(); }
                return _InChildProjectinfo;
            }
        }
        List<System.String> _NotChildProjectinfo;
        public List<System.String> NotChildProjectinfo
        {
            get
            {
                if (_NotChildProjectinfo == null) { _NotChildProjectinfo = new List<System.String>(); }
                return _NotChildProjectinfo;
            }
        }
        List<System.String> _OrEqChildProjectinfo;
        public List<System.String> OrEqChildProjectinfo
        {
            get
            {
                if (_OrEqChildProjectinfo == null) { _OrEqChildProjectinfo = new List<System.String>(); }
                return _OrEqChildProjectinfo;
            }
        }
        List<System.String> _OrLikeChildProjectinfo;
        public List<System.String> OrLikeChildProjectinfo
        {
            get
            {
                if (_OrLikeChildProjectinfo == null) { _OrLikeChildProjectinfo = new List<System.String>(); }
                return _OrLikeChildProjectinfo;
            }
        }
        public System.String EqChildProjectinfo { get; set; }
        public System.String NeChildProjectinfo { get; set; }
        public System.String EqIgChildProjectinfo { get; set; }
        public System.String LeChildProjectinfo { get; set; }
        public System.String GeChildProjectinfo { get; set; }
        public System.String LtChildProjectinfo { get; set; }
        public System.String GtChildProjectinfo { get; set; }
        public bool  NullChildProjectinfo { get; set; }
        public bool  NotNullChildProjectinfo { get; set; }
        public System.String LikeUserSql { get; set; }
        List<System.String> _InUserSql;
        public List<System.String> InUserSql
        {
            get
            {
                if (_InUserSql == null) { _InUserSql = new List<System.String>(); }
                return _InUserSql;
            }
        }
        List<System.String> _NotUserSql;
        public List<System.String> NotUserSql
        {
            get
            {
                if (_NotUserSql == null) { _NotUserSql = new List<System.String>(); }
                return _NotUserSql;
            }
        }
        List<System.String> _OrEqUserSql;
        public List<System.String> OrEqUserSql
        {
            get
            {
                if (_OrEqUserSql == null) { _OrEqUserSql = new List<System.String>(); }
                return _OrEqUserSql;
            }
        }
        List<System.String> _OrLikeUserSql;
        public List<System.String> OrLikeUserSql
        {
            get
            {
                if (_OrLikeUserSql == null) { _OrLikeUserSql = new List<System.String>(); }
                return _OrLikeUserSql;
            }
        }
        public System.String EqUserSql { get; set; }
        public System.String NeUserSql { get; set; }
        public System.String EqIgUserSql { get; set; }
        public System.String LeUserSql { get; set; }
        public System.String GeUserSql { get; set; }
        public System.String LtUserSql { get; set; }
        public System.String GtUserSql { get; set; }
        public bool  NullUserSql { get; set; }
        public bool  NotNullUserSql { get; set; }
        public System.String LikeCreateUser { get; set; }
        List<System.String> _InCreateUser;
        public List<System.String> InCreateUser
        {
            get
            {
                if (_InCreateUser == null) { _InCreateUser = new List<System.String>(); }
                return _InCreateUser;
            }
        }
        List<System.String> _NotCreateUser;
        public List<System.String> NotCreateUser
        {
            get
            {
                if (_NotCreateUser == null) { _NotCreateUser = new List<System.String>(); }
                return _NotCreateUser;
            }
        }
        List<System.String> _OrEqCreateUser;
        public List<System.String> OrEqCreateUser
        {
            get
            {
                if (_OrEqCreateUser == null) { _OrEqCreateUser = new List<System.String>(); }
                return _OrEqCreateUser;
            }
        }
        List<System.String> _OrLikeCreateUser;
        public List<System.String> OrLikeCreateUser
        {
            get
            {
                if (_OrLikeCreateUser == null) { _OrLikeCreateUser = new List<System.String>(); }
                return _OrLikeCreateUser;
            }
        }
        public System.String EqCreateUser { get; set; }
        public System.String NeCreateUser { get; set; }
        public System.String EqIgCreateUser { get; set; }
        public System.String LeCreateUser { get; set; }
        public System.String GeCreateUser { get; set; }
        public System.String LtCreateUser { get; set; }
        public System.String GtCreateUser { get; set; }
        public bool  NullCreateUser { get; set; }
        public bool  NotNullCreateUser { get; set; }
        public System.DateTime? EqCreateTime { get; set; }
        public System.DateTime? NeCreateTime { get; set; }
        public System.DateTime? EqIgCreateTime { get; set; }
        public System.DateTime? LeCreateTime { get; set; }
        public System.DateTime? GeCreateTime { get; set; }
        public System.DateTime? LtCreateTime { get; set; }
        public System.DateTime? GtCreateTime { get; set; }
        public bool  NullCreateTime { get; set; }
        public bool  NotNullCreateTime { get; set; }
        public System.String LikeUpdateUser { get; set; }
        List<System.String> _InUpdateUser;
        public List<System.String> InUpdateUser
        {
            get
            {
                if (_InUpdateUser == null) { _InUpdateUser = new List<System.String>(); }
                return _InUpdateUser;
            }
        }
        List<System.String> _NotUpdateUser;
        public List<System.String> NotUpdateUser
        {
            get
            {
                if (_NotUpdateUser == null) { _NotUpdateUser = new List<System.String>(); }
                return _NotUpdateUser;
            }
        }
        List<System.String> _OrEqUpdateUser;
        public List<System.String> OrEqUpdateUser
        {
            get
            {
                if (_OrEqUpdateUser == null) { _OrEqUpdateUser = new List<System.String>(); }
                return _OrEqUpdateUser;
            }
        }
        List<System.String> _OrLikeUpdateUser;
        public List<System.String> OrLikeUpdateUser
        {
            get
            {
                if (_OrLikeUpdateUser == null) { _OrLikeUpdateUser = new List<System.String>(); }
                return _OrLikeUpdateUser;
            }
        }
        public System.String EqUpdateUser { get; set; }
        public System.String NeUpdateUser { get; set; }
        public System.String EqIgUpdateUser { get; set; }
        public System.String LeUpdateUser { get; set; }
        public System.String GeUpdateUser { get; set; }
        public System.String LtUpdateUser { get; set; }
        public System.String GtUpdateUser { get; set; }
        public bool  NullUpdateUser { get; set; }
        public bool  NotNullUpdateUser { get; set; }
        public System.DateTime? EqUpdateTime { get; set; }
        public System.DateTime? NeUpdateTime { get; set; }
        public System.DateTime? EqIgUpdateTime { get; set; }
        public System.DateTime? LeUpdateTime { get; set; }
        public System.DateTime? GeUpdateTime { get; set; }
        public System.DateTime? LtUpdateTime { get; set; }
        public System.DateTime? GtUpdateTime { get; set; }
        public bool  NullUpdateTime { get; set; }
        public bool  NotNullUpdateTime { get; set; }
        public System.SByte? EqIsDeleted { get; set; }
        public System.SByte? NeIsDeleted { get; set; }
        public System.SByte? EqIgIsDeleted { get; set; }
        public System.SByte? LeIsDeleted { get; set; }
        public System.SByte? GeIsDeleted { get; set; }
        public System.SByte? LtIsDeleted { get; set; }
        public System.SByte? GtIsDeleted { get; set; }
        public bool  NullIsDeleted { get; set; }
        public bool  NotNullIsDeleted { get; set; }
        public System.Int64? EqTimestamp { get; set; }
        public System.Int64? NeTimestamp { get; set; }
        public System.Int64? EqIgTimestamp { get; set; }
        public System.Int64? LeTimestamp { get; set; }
        public System.Int64? GeTimestamp { get; set; }
        public System.Int64? LtTimestamp { get; set; }
        public System.Int64? GtTimestamp { get; set; }
        public bool  NullTimestamp { get; set; }
        public bool  NotNullTimestamp { get; set; }
        
        
        
        #endregion
        
        
        #region Criteria Method
        
        public void AddOrder(string order)
        {
            this.AddOrder(order,false);
        }
        
        public void AddOrder(string order, bool isAsc)
        {
            if(isAsc)
            {
                this.OrderList.Add(order);
                IsAsc=true;
            }
            else
            {
                this.OrderList.Add(order);
                IsAsc=false;
            }
        }
        
        public void ClearOrder()
        {
            this.OrderList.Clear();
        }
        
        public void RemoveOrder(string order)
        {
            if(this.OrderList.Contains(order+",0"))
                this.OrderList.Remove(order+",0");
            if(this.OrderList.Contains(order+",1"))
                this.OrderList.Remove(order+",1");
        }
        
        #endregion
       
    }
}
